Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Add Tchimou's illustration of an old bug to the tests.
[simgrid.git] / examples / amok / Makefile.in
1 # Makefile.in generated by automake 1.10.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Copyright (c) 2004-2007. The SimGrid team. All right reserved.
18
19 # This file is part of the SimGrid project. This is free software:
20 # You can redistribute and/or modify it under the terms of the
21 # GNU LGPL (v2.1) licence.
22
23 # Makefile chunk which allows to display the files which should be included
24 # into the distribution.
25
26 # It is intended to be included in all Makefile.am 
27
28 VPATH = @srcdir@
29 pkgdatadir = $(datadir)/@PACKAGE@
30 pkglibdir = $(libdir)/@PACKAGE@
31 pkgincludedir = $(includedir)/@PACKAGE@
32 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
33 install_sh_DATA = $(install_sh) -c -m 644
34 install_sh_PROGRAM = $(install_sh) -c
35 install_sh_SCRIPT = $(install_sh) -c
36 INSTALL_HEADER = $(INSTALL_DATA)
37 transform = $(program_transform_name)
38 NORMAL_INSTALL = :
39 PRE_INSTALL = :
40 POST_INSTALL = :
41 NORMAL_UNINSTALL = :
42 PRE_UNINSTALL = :
43 POST_UNINSTALL = :
44 build_triplet = @build@
45 host_triplet = @host@
46 target_triplet = @target@
47 noinst_PROGRAMS = bandwidth/bandwidth_maestro$(EXEEXT) \
48         bandwidth/bandwidth_sensor$(EXEEXT) \
49         bandwidth/bandwidth_simulator$(EXEEXT) \
50         saturate/saturate_maestro$(EXEEXT) \
51         saturate/saturate_sensor$(EXEEXT) \
52         saturate/saturate_simulator$(EXEEXT)
53 @GRAS_ARCH_32_BITS_TRUE@am__append_1 = bandwidth/bandwidth_rl.tesh bandwidth/bandwidth_sg_32.tesh
54 @GRAS_ARCH_32_BITS_FALSE@am__append_2 = bandwidth/bandwidth_rl.tesh bandwidth/bandwidth_sg_64.tesh
55 @GRAS_ARCH_32_BITS_TRUE@am__append_3 = saturate/saturate_rl.tesh saturate/saturate_sg_32.tesh
56 @GRAS_ARCH_32_BITS_TRUE@am__append_4 = saturate/saturate_rl.tesh saturate/saturate_sg_32.tesh
57 @GRAS_ARCH_32_BITS_FALSE@am__append_5 = saturate/saturate_rl.tesh saturate/saturate_sg_64.tesh
58 @GRAS_ARCH_32_BITS_FALSE@am__append_6 = saturate/saturate_rl.tesh saturate/saturate_sg_64.tesh
59 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
60         $(top_srcdir)/acmacro/dist-files.mk
61 subdir = examples/amok
62 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
63 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
64         $(top_srcdir)/acmacro/compiler-flags.m4 \
65         $(top_srcdir)/acmacro/context.m4 \
66         $(top_srcdir)/acmacro/fancy_configury.m4 \
67         $(top_srcdir)/acmacro/flex.m4 \
68         $(top_srcdir)/acmacro/gras_arch.m4 \
69         $(top_srcdir)/acmacro/print_null.m4 \
70         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
71 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
72         $(ACLOCAL_M4)
73 mkinstalldirs = $(install_sh) -d
74 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
75 CONFIG_CLEAN_FILES =
76 PROGRAMS = $(noinst_PROGRAMS)
77 am_bandwidth_bandwidth_maestro_OBJECTS = bandwidth.$(OBJEXT) \
78         _bandwidth_maestro.$(OBJEXT)
79 bandwidth_bandwidth_maestro_OBJECTS =  \
80         $(am_bandwidth_bandwidth_maestro_OBJECTS)
81 bandwidth_bandwidth_maestro_DEPENDENCIES = $(LDADD_RL)
82 am__dirstamp = $(am__leading_dot)dirstamp
83 am_bandwidth_bandwidth_sensor_OBJECTS = bandwidth.$(OBJEXT) \
84         _bandwidth_sensor.$(OBJEXT)
85 bandwidth_bandwidth_sensor_OBJECTS =  \
86         $(am_bandwidth_bandwidth_sensor_OBJECTS)
87 bandwidth_bandwidth_sensor_DEPENDENCIES = $(LDADD_RL)
88 am_bandwidth_bandwidth_simulator_OBJECTS = bandwidth.$(OBJEXT) \
89         _bandwidth_simulator.$(OBJEXT)
90 bandwidth_bandwidth_simulator_OBJECTS =  \
91         $(am_bandwidth_bandwidth_simulator_OBJECTS)
92 bandwidth_bandwidth_simulator_DEPENDENCIES = $(LDADD_SG)
93 am_saturate_saturate_maestro_OBJECTS = saturate.$(OBJEXT) \
94         _saturate_maestro.$(OBJEXT)
95 saturate_saturate_maestro_OBJECTS =  \
96         $(am_saturate_saturate_maestro_OBJECTS)
97 saturate_saturate_maestro_DEPENDENCIES = $(LDADD_RL)
98 am_saturate_saturate_sensor_OBJECTS = saturate.$(OBJEXT) \
99         _saturate_sensor.$(OBJEXT)
100 saturate_saturate_sensor_OBJECTS =  \
101         $(am_saturate_saturate_sensor_OBJECTS)
102 saturate_saturate_sensor_DEPENDENCIES = $(LDADD_RL)
103 am_saturate_saturate_simulator_OBJECTS = saturate.$(OBJEXT) \
104         _saturate_simulator.$(OBJEXT)
105 saturate_saturate_simulator_OBJECTS =  \
106         $(am_saturate_saturate_simulator_OBJECTS)
107 saturate_saturate_simulator_DEPENDENCIES = $(LDADD_SG)
108 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/src
109 depcomp = $(SHELL) $(top_srcdir)/depcomp
110 am__depfiles_maybe = depfiles
111 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
112         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
113 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
114         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
115         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
116 CCLD = $(CC)
117 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
118         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
119         $(LDFLAGS) -o $@
120 SOURCES = $(bandwidth_bandwidth_maestro_SOURCES) \
121         $(bandwidth_bandwidth_sensor_SOURCES) \
122         $(bandwidth_bandwidth_simulator_SOURCES) \
123         $(saturate_saturate_maestro_SOURCES) \
124         $(saturate_saturate_sensor_SOURCES) \
125         $(saturate_saturate_simulator_SOURCES)
126 DIST_SOURCES = $(bandwidth_bandwidth_maestro_SOURCES) \
127         $(bandwidth_bandwidth_sensor_SOURCES) \
128         $(bandwidth_bandwidth_simulator_SOURCES) \
129         $(saturate_saturate_maestro_SOURCES) \
130         $(saturate_saturate_sensor_SOURCES) \
131         $(saturate_saturate_simulator_SOURCES)
132 ETAGS = etags
133 CTAGS = ctags
134 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
135 ACLOCAL = @ACLOCAL@
136 ADDR2LINE = @ADDR2LINE@
137 AMTAR = @AMTAR@
138 AM_CPPFLAGS = @AM_CPPFLAGS@
139 AR = @AR@
140 AS = @AS@
141 AUTOCONF = @AUTOCONF@
142 AUTOHEADER = @AUTOHEADER@
143 AUTOMAKE = @AUTOMAKE@
144 AWK = @AWK@
145 BASH = @BASH@
146 CC = @CC@
147 CCDEPMODE = @CCDEPMODE@
148 CFLAGS = @CFLAGS@
149 CPP = @CPP@
150 CPPFLAGS = @CPPFLAGS@
151 CXX = @CXX@
152 CXXCPP = @CXXCPP@
153 CXXDEPMODE = @CXXDEPMODE@
154 CXXFLAGS = @CXXFLAGS@
155 CYGPATH_W = @CYGPATH_W@
156 DEFS = @DEFS@
157 DEPDIR = @DEPDIR@
158 DLLTOOL = @DLLTOOL@
159 DOXYGEN = @DOXYGEN@
160 DSYMUTIL = @DSYMUTIL@
161 ECHO = @ECHO@
162 ECHO_C = @ECHO_C@
163 ECHO_N = @ECHO_N@
164 ECHO_T = @ECHO_T@
165 EGREP = @EGREP@
166 EXEEXT = @EXEEXT@
167 FLEXML = @FLEXML@
168 GCJ = @GCJ@
169 GCJDEPMODE = @GCJDEPMODE@
170 GCJFLAGS = @GCJFLAGS@
171 GRAS_DEP = @GRAS_DEP@
172 GREP = @GREP@
173 INSTALL = @INSTALL@
174 INSTALL_DATA = @INSTALL_DATA@
175 INSTALL_PROGRAM = @INSTALL_PROGRAM@
176 INSTALL_SCRIPT = @INSTALL_SCRIPT@
177 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
178 JAR = @JAR@
179 JAVA = @JAVA@
180 JAVAC = @JAVAC@
181 LDFLAGS = @LDFLAGS@
182 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
183 LEX = @LEX@
184 LEXLIB = @LEXLIB@
185 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
186 LIBOBJS = @LIBOBJS@
187 LIBS = @LIBS@
188 LIBTOOL = @LIBTOOL@
189 LN_S = @LN_S@
190 LTLIBOBJS = @LTLIBOBJS@
191 MAINT = @MAINT@
192 MAKEINFO = @MAKEINFO@
193 MKDIR_P = @MKDIR_P@
194 NMEDIT = @NMEDIT@
195 OBJDUMP = @OBJDUMP@
196 OBJEXT = @OBJEXT@
197 PACKAGE = @PACKAGE@
198 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
199 PACKAGE_NAME = @PACKAGE_NAME@
200 PACKAGE_STRING = @PACKAGE_STRING@
201 PACKAGE_TARNAME = @PACKAGE_TARNAME@
202 PACKAGE_VERSION = @PACKAGE_VERSION@
203 PATH_SEPARATOR = @PATH_SEPARATOR@
204 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
205 RANLIB = @RANLIB@
206 SED = @SED@
207 SET_MAKE = @SET_MAKE@
208 SHELL = @SHELL@
209 SIMGRID_DEP = @SIMGRID_DEP@
210 SMPI_DEP = @SMPI_DEP@
211 STRIP = @STRIP@
212 VERSION = @VERSION@
213 WARNING = @WARNING@
214 abs_builddir = @abs_builddir@
215 abs_srcdir = @abs_srcdir@
216 abs_top_builddir = @abs_top_builddir@
217 abs_top_srcdir = @abs_top_srcdir@
218 ac_configure_args = @ac_configure_args@
219 ac_ct_CC = @ac_ct_CC@
220 ac_ct_CXX = @ac_ct_CXX@
221 am__include = @am__include@
222 am__leading_dot = @am__leading_dot@
223 am__quote = @am__quote@
224 am__tar = @am__tar@
225 am__untar = @am__untar@
226 bindir = @bindir@
227 build = @build@
228 build_alias = @build_alias@
229 build_cpu = @build_cpu@
230 build_id = @build_id@
231 build_os = @build_os@
232 build_vendor = @build_vendor@
233 builddir = @builddir@
234 datadir = @datadir@
235 datarootdir = @datarootdir@
236 docdir = @docdir@
237 dvidir = @dvidir@
238 exec_prefix = @exec_prefix@
239 host = @host@
240 host_alias = @host_alias@
241 host_cpu = @host_cpu@
242 host_os = @host_os@
243 host_vendor = @host_vendor@
244 htmldir = @htmldir@
245 includedir = @includedir@
246 infodir = @infodir@
247 install_sh = @install_sh@
248 libdir = @libdir@
249 libexecdir = @libexecdir@
250 localedir = @localedir@
251 localstatedir = @localstatedir@
252 mandir = @mandir@
253 mkdir_p = @mkdir_p@
254 oldincludedir = @oldincludedir@
255 pdfdir = @pdfdir@
256 prefix = @prefix@
257 program_transform_name = @program_transform_name@
258 psdir = @psdir@
259 pth_skaddr_makecontext = @pth_skaddr_makecontext@
260 pth_sksize_makecontext = @pth_sksize_makecontext@
261 sbindir = @sbindir@
262 sharedstatedir = @sharedstatedir@
263 srcdir = @srcdir@
264 sysconfdir = @sysconfdir@
265 target = @target@
266 target_alias = @target_alias@
267 target_cpu = @target_cpu@
268 target_os = @target_os@
269 target_vendor = @target_vendor@
270 top_builddir = @top_builddir@
271 top_srcdir = @top_srcdir@
272 INCLUDES = -I$(top_srcdir)/include
273 AM_CFLAGS = -g
274
275 ###################
276 # Bandwidth tests #
277 ###################
278
279 ###################
280 # saturate tests #
281 ###################
282
283 #########
284 # Cruft #
285 #########
286 EXTRA_DIST = bandwidth/bandwidth.xml saturate/saturate.xml $(TESTS)
287 TESTS_ENVIRONMENT = $(top_builddir)/tools/tesh/tesh
288 TESTS = $(am__append_1) $(am__append_2) $(am__append_3) \
289         $(am__append_5)
290 XFAIL_TESTS = bandwidth/bandwidth_rl.tesh $(am__append_4) \
291         $(am__append_6)
292 LDADD_SG = $(top_builddir)/src/libsimgrid.la
293 LDADD_RL = $(top_builddir)/src/libgras.la
294 bandwidth_bandwidth_simulator_SOURCES = bandwidth/bandwidth.c bandwidth/_bandwidth_simulator.c
295 bandwidth_bandwidth_maestro_SOURCES = bandwidth/bandwidth.c bandwidth/_bandwidth_maestro.c
296 bandwidth_bandwidth_sensor_SOURCES = bandwidth/bandwidth.c bandwidth/_bandwidth_sensor.c 
297 bandwidth_bandwidth_simulator_LDADD = $(LDADD_SG)
298 bandwidth_bandwidth_maestro_LDADD = $(LDADD_RL)
299 bandwidth_bandwidth_sensor_LDADD = $(LDADD_RL)
300 saturate_saturate_simulator_SOURCES = saturate/saturate.c saturate/_saturate_simulator.c
301 saturate_saturate_maestro_SOURCES = saturate/saturate.c saturate/_saturate_maestro.c
302 saturate_saturate_sensor_SOURCES = saturate/saturate.c saturate/_saturate_sensor.c 
303 saturate_saturate_simulator_LDADD = $(LDADD_SG)
304 saturate_saturate_maestro_LDADD = $(LDADD_RL)
305 saturate_saturate_sensor_LDADD = $(LDADD_RL)
306 all: all-am
307
308 .SUFFIXES:
309 .SUFFIXES: .c .lo .o .obj
310 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
311         @for dep in $?; do \
312           case '$(am__configure_deps)' in \
313             *$$dep*) \
314               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
315                 && exit 0; \
316               exit 1;; \
317           esac; \
318         done; \
319         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/amok/Makefile'; \
320         cd $(top_srcdir) && \
321           $(AUTOMAKE) --gnu  examples/amok/Makefile
322 .PRECIOUS: Makefile
323 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
324         @case '$?' in \
325           *config.status*) \
326             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
327           *) \
328             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
329             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
330         esac;
331
332 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
333         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
334
335 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
336         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
337 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
338         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
339
340 clean-noinstPROGRAMS:
341         @list='$(noinst_PROGRAMS)'; for p in $$list; do \
342           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
343           echo " rm -f $$p $$f"; \
344           rm -f $$p $$f ; \
345         done
346 bandwidth/$(am__dirstamp):
347         @$(MKDIR_P) bandwidth
348         @: > bandwidth/$(am__dirstamp)
349 bandwidth/bandwidth_maestro$(EXEEXT): $(bandwidth_bandwidth_maestro_OBJECTS) $(bandwidth_bandwidth_maestro_DEPENDENCIES) bandwidth/$(am__dirstamp)
350         @rm -f bandwidth/bandwidth_maestro$(EXEEXT)
351         $(LINK) $(bandwidth_bandwidth_maestro_OBJECTS) $(bandwidth_bandwidth_maestro_LDADD) $(LIBS)
352 bandwidth/bandwidth_sensor$(EXEEXT): $(bandwidth_bandwidth_sensor_OBJECTS) $(bandwidth_bandwidth_sensor_DEPENDENCIES) bandwidth/$(am__dirstamp)
353         @rm -f bandwidth/bandwidth_sensor$(EXEEXT)
354         $(LINK) $(bandwidth_bandwidth_sensor_OBJECTS) $(bandwidth_bandwidth_sensor_LDADD) $(LIBS)
355 bandwidth/bandwidth_simulator$(EXEEXT): $(bandwidth_bandwidth_simulator_OBJECTS) $(bandwidth_bandwidth_simulator_DEPENDENCIES) bandwidth/$(am__dirstamp)
356         @rm -f bandwidth/bandwidth_simulator$(EXEEXT)
357         $(LINK) $(bandwidth_bandwidth_simulator_OBJECTS) $(bandwidth_bandwidth_simulator_LDADD) $(LIBS)
358 saturate/$(am__dirstamp):
359         @$(MKDIR_P) saturate
360         @: > saturate/$(am__dirstamp)
361 saturate/saturate_maestro$(EXEEXT): $(saturate_saturate_maestro_OBJECTS) $(saturate_saturate_maestro_DEPENDENCIES) saturate/$(am__dirstamp)
362         @rm -f saturate/saturate_maestro$(EXEEXT)
363         $(LINK) $(saturate_saturate_maestro_OBJECTS) $(saturate_saturate_maestro_LDADD) $(LIBS)
364 saturate/saturate_sensor$(EXEEXT): $(saturate_saturate_sensor_OBJECTS) $(saturate_saturate_sensor_DEPENDENCIES) saturate/$(am__dirstamp)
365         @rm -f saturate/saturate_sensor$(EXEEXT)
366         $(LINK) $(saturate_saturate_sensor_OBJECTS) $(saturate_saturate_sensor_LDADD) $(LIBS)
367 saturate/saturate_simulator$(EXEEXT): $(saturate_saturate_simulator_OBJECTS) $(saturate_saturate_simulator_DEPENDENCIES) saturate/$(am__dirstamp)
368         @rm -f saturate/saturate_simulator$(EXEEXT)
369         $(LINK) $(saturate_saturate_simulator_OBJECTS) $(saturate_saturate_simulator_LDADD) $(LIBS)
370
371 mostlyclean-compile:
372         -rm -f *.$(OBJEXT)
373
374 distclean-compile:
375         -rm -f *.tab.c
376
377 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_bandwidth_maestro.Po@am__quote@
378 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_bandwidth_sensor.Po@am__quote@
379 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_bandwidth_simulator.Po@am__quote@
380 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_saturate_maestro.Po@am__quote@
381 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_saturate_sensor.Po@am__quote@
382 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_saturate_simulator.Po@am__quote@
383 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bandwidth.Po@am__quote@
384 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/saturate.Po@am__quote@
385
386 .c.o:
387 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
388 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
389 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
390 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
391 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
392
393 .c.obj:
394 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
395 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
396 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
397 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
398 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
399
400 .c.lo:
401 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
402 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
403 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
404 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
405 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
406
407 bandwidth.o: bandwidth/bandwidth.c
408 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bandwidth.o -MD -MP -MF $(DEPDIR)/bandwidth.Tpo -c -o bandwidth.o `test -f 'bandwidth/bandwidth.c' || echo '$(srcdir)/'`bandwidth/bandwidth.c
409 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/bandwidth.Tpo $(DEPDIR)/bandwidth.Po
410 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/bandwidth.c' object='bandwidth.o' libtool=no @AMDEPBACKSLASH@
411 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
412 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bandwidth.o `test -f 'bandwidth/bandwidth.c' || echo '$(srcdir)/'`bandwidth/bandwidth.c
413
414 bandwidth.obj: bandwidth/bandwidth.c
415 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bandwidth.obj -MD -MP -MF $(DEPDIR)/bandwidth.Tpo -c -o bandwidth.obj `if test -f 'bandwidth/bandwidth.c'; then $(CYGPATH_W) 'bandwidth/bandwidth.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/bandwidth.c'; fi`
416 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/bandwidth.Tpo $(DEPDIR)/bandwidth.Po
417 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/bandwidth.c' object='bandwidth.obj' libtool=no @AMDEPBACKSLASH@
418 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
419 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bandwidth.obj `if test -f 'bandwidth/bandwidth.c'; then $(CYGPATH_W) 'bandwidth/bandwidth.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/bandwidth.c'; fi`
420
421 _bandwidth_maestro.o: bandwidth/_bandwidth_maestro.c
422 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_maestro.o -MD -MP -MF $(DEPDIR)/_bandwidth_maestro.Tpo -c -o _bandwidth_maestro.o `test -f 'bandwidth/_bandwidth_maestro.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_maestro.c
423 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_maestro.Tpo $(DEPDIR)/_bandwidth_maestro.Po
424 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_maestro.c' object='_bandwidth_maestro.o' libtool=no @AMDEPBACKSLASH@
425 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
426 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_maestro.o `test -f 'bandwidth/_bandwidth_maestro.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_maestro.c
427
428 _bandwidth_maestro.obj: bandwidth/_bandwidth_maestro.c
429 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_maestro.obj -MD -MP -MF $(DEPDIR)/_bandwidth_maestro.Tpo -c -o _bandwidth_maestro.obj `if test -f 'bandwidth/_bandwidth_maestro.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_maestro.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_maestro.c'; fi`
430 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_maestro.Tpo $(DEPDIR)/_bandwidth_maestro.Po
431 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_maestro.c' object='_bandwidth_maestro.obj' libtool=no @AMDEPBACKSLASH@
432 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
433 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_maestro.obj `if test -f 'bandwidth/_bandwidth_maestro.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_maestro.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_maestro.c'; fi`
434
435 _bandwidth_sensor.o: bandwidth/_bandwidth_sensor.c
436 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_sensor.o -MD -MP -MF $(DEPDIR)/_bandwidth_sensor.Tpo -c -o _bandwidth_sensor.o `test -f 'bandwidth/_bandwidth_sensor.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_sensor.c
437 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_sensor.Tpo $(DEPDIR)/_bandwidth_sensor.Po
438 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_sensor.c' object='_bandwidth_sensor.o' libtool=no @AMDEPBACKSLASH@
439 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
440 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_sensor.o `test -f 'bandwidth/_bandwidth_sensor.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_sensor.c
441
442 _bandwidth_sensor.obj: bandwidth/_bandwidth_sensor.c
443 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_sensor.obj -MD -MP -MF $(DEPDIR)/_bandwidth_sensor.Tpo -c -o _bandwidth_sensor.obj `if test -f 'bandwidth/_bandwidth_sensor.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_sensor.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_sensor.c'; fi`
444 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_sensor.Tpo $(DEPDIR)/_bandwidth_sensor.Po
445 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_sensor.c' object='_bandwidth_sensor.obj' libtool=no @AMDEPBACKSLASH@
446 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
447 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_sensor.obj `if test -f 'bandwidth/_bandwidth_sensor.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_sensor.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_sensor.c'; fi`
448
449 _bandwidth_simulator.o: bandwidth/_bandwidth_simulator.c
450 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_simulator.o -MD -MP -MF $(DEPDIR)/_bandwidth_simulator.Tpo -c -o _bandwidth_simulator.o `test -f 'bandwidth/_bandwidth_simulator.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_simulator.c
451 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_simulator.Tpo $(DEPDIR)/_bandwidth_simulator.Po
452 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_simulator.c' object='_bandwidth_simulator.o' libtool=no @AMDEPBACKSLASH@
453 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
454 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_simulator.o `test -f 'bandwidth/_bandwidth_simulator.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_simulator.c
455
456 _bandwidth_simulator.obj: bandwidth/_bandwidth_simulator.c
457 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_simulator.obj -MD -MP -MF $(DEPDIR)/_bandwidth_simulator.Tpo -c -o _bandwidth_simulator.obj `if test -f 'bandwidth/_bandwidth_simulator.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_simulator.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_simulator.c'; fi`
458 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_simulator.Tpo $(DEPDIR)/_bandwidth_simulator.Po
459 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_simulator.c' object='_bandwidth_simulator.obj' libtool=no @AMDEPBACKSLASH@
460 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
461 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_simulator.obj `if test -f 'bandwidth/_bandwidth_simulator.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_simulator.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_simulator.c'; fi`
462
463 saturate.o: saturate/saturate.c
464 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT saturate.o -MD -MP -MF $(DEPDIR)/saturate.Tpo -c -o saturate.o `test -f 'saturate/saturate.c' || echo '$(srcdir)/'`saturate/saturate.c
465 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/saturate.Tpo $(DEPDIR)/saturate.Po
466 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/saturate.c' object='saturate.o' libtool=no @AMDEPBACKSLASH@
467 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
468 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o saturate.o `test -f 'saturate/saturate.c' || echo '$(srcdir)/'`saturate/saturate.c
469
470 saturate.obj: saturate/saturate.c
471 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT saturate.obj -MD -MP -MF $(DEPDIR)/saturate.Tpo -c -o saturate.obj `if test -f 'saturate/saturate.c'; then $(CYGPATH_W) 'saturate/saturate.c'; else $(CYGPATH_W) '$(srcdir)/saturate/saturate.c'; fi`
472 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/saturate.Tpo $(DEPDIR)/saturate.Po
473 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/saturate.c' object='saturate.obj' libtool=no @AMDEPBACKSLASH@
474 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
475 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o saturate.obj `if test -f 'saturate/saturate.c'; then $(CYGPATH_W) 'saturate/saturate.c'; else $(CYGPATH_W) '$(srcdir)/saturate/saturate.c'; fi`
476
477 _saturate_maestro.o: saturate/_saturate_maestro.c
478 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_maestro.o -MD -MP -MF $(DEPDIR)/_saturate_maestro.Tpo -c -o _saturate_maestro.o `test -f 'saturate/_saturate_maestro.c' || echo '$(srcdir)/'`saturate/_saturate_maestro.c
479 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_maestro.Tpo $(DEPDIR)/_saturate_maestro.Po
480 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_maestro.c' object='_saturate_maestro.o' libtool=no @AMDEPBACKSLASH@
481 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
482 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_maestro.o `test -f 'saturate/_saturate_maestro.c' || echo '$(srcdir)/'`saturate/_saturate_maestro.c
483
484 _saturate_maestro.obj: saturate/_saturate_maestro.c
485 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_maestro.obj -MD -MP -MF $(DEPDIR)/_saturate_maestro.Tpo -c -o _saturate_maestro.obj `if test -f 'saturate/_saturate_maestro.c'; then $(CYGPATH_W) 'saturate/_saturate_maestro.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_maestro.c'; fi`
486 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_maestro.Tpo $(DEPDIR)/_saturate_maestro.Po
487 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_maestro.c' object='_saturate_maestro.obj' libtool=no @AMDEPBACKSLASH@
488 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
489 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_maestro.obj `if test -f 'saturate/_saturate_maestro.c'; then $(CYGPATH_W) 'saturate/_saturate_maestro.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_maestro.c'; fi`
490
491 _saturate_sensor.o: saturate/_saturate_sensor.c
492 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_sensor.o -MD -MP -MF $(DEPDIR)/_saturate_sensor.Tpo -c -o _saturate_sensor.o `test -f 'saturate/_saturate_sensor.c' || echo '$(srcdir)/'`saturate/_saturate_sensor.c
493 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_sensor.Tpo $(DEPDIR)/_saturate_sensor.Po
494 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_sensor.c' object='_saturate_sensor.o' libtool=no @AMDEPBACKSLASH@
495 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
496 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_sensor.o `test -f 'saturate/_saturate_sensor.c' || echo '$(srcdir)/'`saturate/_saturate_sensor.c
497
498 _saturate_sensor.obj: saturate/_saturate_sensor.c
499 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_sensor.obj -MD -MP -MF $(DEPDIR)/_saturate_sensor.Tpo -c -o _saturate_sensor.obj `if test -f 'saturate/_saturate_sensor.c'; then $(CYGPATH_W) 'saturate/_saturate_sensor.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_sensor.c'; fi`
500 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_sensor.Tpo $(DEPDIR)/_saturate_sensor.Po
501 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_sensor.c' object='_saturate_sensor.obj' libtool=no @AMDEPBACKSLASH@
502 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
503 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_sensor.obj `if test -f 'saturate/_saturate_sensor.c'; then $(CYGPATH_W) 'saturate/_saturate_sensor.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_sensor.c'; fi`
504
505 _saturate_simulator.o: saturate/_saturate_simulator.c
506 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_simulator.o -MD -MP -MF $(DEPDIR)/_saturate_simulator.Tpo -c -o _saturate_simulator.o `test -f 'saturate/_saturate_simulator.c' || echo '$(srcdir)/'`saturate/_saturate_simulator.c
507 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_simulator.Tpo $(DEPDIR)/_saturate_simulator.Po
508 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_simulator.c' object='_saturate_simulator.o' libtool=no @AMDEPBACKSLASH@
509 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
510 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_simulator.o `test -f 'saturate/_saturate_simulator.c' || echo '$(srcdir)/'`saturate/_saturate_simulator.c
511
512 _saturate_simulator.obj: saturate/_saturate_simulator.c
513 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_simulator.obj -MD -MP -MF $(DEPDIR)/_saturate_simulator.Tpo -c -o _saturate_simulator.obj `if test -f 'saturate/_saturate_simulator.c'; then $(CYGPATH_W) 'saturate/_saturate_simulator.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_simulator.c'; fi`
514 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_simulator.Tpo $(DEPDIR)/_saturate_simulator.Po
515 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_simulator.c' object='_saturate_simulator.obj' libtool=no @AMDEPBACKSLASH@
516 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
517 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_simulator.obj `if test -f 'saturate/_saturate_simulator.c'; then $(CYGPATH_W) 'saturate/_saturate_simulator.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_simulator.c'; fi`
518
519 mostlyclean-libtool:
520         -rm -f *.lo
521
522 clean-libtool:
523         -rm -rf .libs _libs
524         -rm -rf bandwidth/.libs bandwidth/_libs
525         -rm -rf saturate/.libs saturate/_libs
526
527 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
528         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
529         unique=`for i in $$list; do \
530             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
531           done | \
532           $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
533               END { if (nonempty) { for (i in files) print i; }; }'`; \
534         mkid -fID $$unique
535 tags: TAGS
536
537 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
538                 $(TAGS_FILES) $(LISP)
539         tags=; \
540         here=`pwd`; \
541         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
542         unique=`for i in $$list; do \
543             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
544           done | \
545           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
546               END { if (nonempty) { for (i in files) print i; }; }'`; \
547         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
548           test -n "$$unique" || unique=$$empty_fix; \
549           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
550             $$tags $$unique; \
551         fi
552 ctags: CTAGS
553 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
554                 $(TAGS_FILES) $(LISP)
555         tags=; \
556         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
557         unique=`for i in $$list; do \
558             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
559           done | \
560           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
561               END { if (nonempty) { for (i in files) print i; }; }'`; \
562         test -z "$(CTAGS_ARGS)$$tags$$unique" \
563           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
564              $$tags $$unique
565
566 GTAGS:
567         here=`$(am__cd) $(top_builddir) && pwd` \
568           && cd $(top_srcdir) \
569           && gtags -i $(GTAGS_ARGS) $$here
570
571 distclean-tags:
572         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
573
574 check-TESTS: $(TESTS)
575         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
576         srcdir=$(srcdir); export srcdir; \
577         list=' $(TESTS) '; \
578         if test -n "$$list"; then \
579           for tst in $$list; do \
580             if test -f ./$$tst; then dir=./; \
581             elif test -f $$tst; then dir=; \
582             else dir="$(srcdir)/"; fi; \
583             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
584               all=`expr $$all + 1`; \
585               case " $(XFAIL_TESTS) " in \
586               *$$ws$$tst$$ws*) \
587                 xpass=`expr $$xpass + 1`; \
588                 failed=`expr $$failed + 1`; \
589                 echo "XPASS: $$tst"; \
590               ;; \
591               *) \
592                 echo "PASS: $$tst"; \
593               ;; \
594               esac; \
595             elif test $$? -ne 77; then \
596               all=`expr $$all + 1`; \
597               case " $(XFAIL_TESTS) " in \
598               *$$ws$$tst$$ws*) \
599                 xfail=`expr $$xfail + 1`; \
600                 echo "XFAIL: $$tst"; \
601               ;; \
602               *) \
603                 failed=`expr $$failed + 1`; \
604                 echo "FAIL: $$tst"; \
605               ;; \
606               esac; \
607             else \
608               skip=`expr $$skip + 1`; \
609               echo "SKIP: $$tst"; \
610             fi; \
611           done; \
612           if test "$$failed" -eq 0; then \
613             if test "$$xfail" -eq 0; then \
614               banner="All $$all tests passed"; \
615             else \
616               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
617             fi; \
618           else \
619             if test "$$xpass" -eq 0; then \
620               banner="$$failed of $$all tests failed"; \
621             else \
622               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
623             fi; \
624           fi; \
625           dashes="$$banner"; \
626           skipped=""; \
627           if test "$$skip" -ne 0; then \
628             skipped="($$skip tests were not run)"; \
629             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
630               dashes="$$skipped"; \
631           fi; \
632           report=""; \
633           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
634             report="Please report to $(PACKAGE_BUGREPORT)"; \
635             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
636               dashes="$$report"; \
637           fi; \
638           dashes=`echo "$$dashes" | sed s/./=/g`; \
639           echo "$$dashes"; \
640           echo "$$banner"; \
641           test -z "$$skipped" || echo "$$skipped"; \
642           test -z "$$report" || echo "$$report"; \
643           echo "$$dashes"; \
644           test "$$failed" -eq 0; \
645         else :; fi
646
647 distdir: $(DISTFILES)
648         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
649         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
650         list='$(DISTFILES)'; \
651           dist_files=`for file in $$list; do echo $$file; done | \
652           sed -e "s|^$$srcdirstrip/||;t" \
653               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
654         case $$dist_files in \
655           */*) $(MKDIR_P) `echo "$$dist_files" | \
656                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
657                            sort -u` ;; \
658         esac; \
659         for file in $$dist_files; do \
660           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
661           if test -d $$d/$$file; then \
662             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
663             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
664               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
665             fi; \
666             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
667           else \
668             test -f $(distdir)/$$file \
669             || cp -p $$d/$$file $(distdir)/$$file \
670             || exit 1; \
671           fi; \
672         done
673 check-am: all-am
674         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
675 check: check-am
676 all-am: Makefile $(PROGRAMS)
677 installdirs:
678 install: install-am
679 install-exec: install-exec-am
680 install-data: install-data-am
681 uninstall: uninstall-am
682
683 install-am: all-am
684         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
685
686 installcheck: installcheck-am
687 install-strip:
688         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
689           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
690           `test -z '$(STRIP)' || \
691             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
692 mostlyclean-generic:
693
694 clean-generic:
695
696 distclean-generic:
697         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
698         -rm -f bandwidth/$(am__dirstamp)
699         -rm -f saturate/$(am__dirstamp)
700
701 maintainer-clean-generic:
702         @echo "This command is intended for maintainers to use"
703         @echo "it deletes files that may require special tools to rebuild."
704 clean: clean-am
705
706 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
707         mostlyclean-am
708
709 distclean: distclean-am
710         -rm -rf ./$(DEPDIR)
711         -rm -f Makefile
712 distclean-am: clean-am distclean-compile distclean-generic \
713         distclean-tags
714
715 dvi: dvi-am
716
717 dvi-am:
718
719 html: html-am
720
721 info: info-am
722
723 info-am:
724
725 install-data-am:
726
727 install-dvi: install-dvi-am
728
729 install-exec-am:
730
731 install-html: install-html-am
732
733 install-info: install-info-am
734
735 install-man:
736
737 install-pdf: install-pdf-am
738
739 install-ps: install-ps-am
740
741 installcheck-am:
742
743 maintainer-clean: maintainer-clean-am
744         -rm -rf ./$(DEPDIR)
745         -rm -f Makefile
746 maintainer-clean-am: distclean-am maintainer-clean-generic
747
748 mostlyclean: mostlyclean-am
749
750 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
751         mostlyclean-libtool
752
753 pdf: pdf-am
754
755 pdf-am:
756
757 ps: ps-am
758
759 ps-am:
760
761 uninstall-am:
762
763 .MAKE: install-am install-strip
764
765 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
766         clean-generic clean-libtool clean-noinstPROGRAMS ctags \
767         distclean distclean-compile distclean-generic \
768         distclean-libtool distclean-tags distdir dvi dvi-am html \
769         html-am info info-am install install-am install-data \
770         install-data-am install-dvi install-dvi-am install-exec \
771         install-exec-am install-html install-html-am install-info \
772         install-info-am install-man install-pdf install-pdf-am \
773         install-ps install-ps-am install-strip installcheck \
774         installcheck-am installdirs maintainer-clean \
775         maintainer-clean-generic mostlyclean mostlyclean-compile \
776         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
777         tags uninstall uninstall-am
778
779
780 # Take care of generatated sources
781 bandwidth/_bandwidth_simulator.c bandwidth/_bandwidth_sensor.c bandwidth/_bandwidth_maestro.c : bandwidth/bandwidth.c bandwidth/bandwidth.xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
782         cd bandwidth; $(abs_top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ bandwidth $(abs_top_srcdir)/examples/amok/bandwidth/bandwidth.xml
783
784 # Take care of generatated sources
785 saturate/_saturate_simulator.c saturate/_saturate_sensor.c saturate/_saturate_maestro.c : saturate/saturate.c saturate/saturate.xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
786         cd saturate; $(abs_top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ saturate $(abs_top_srcdir)/examples/amok/saturate/saturate.xml
787
788 dist-files:
789         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
790         @echo
791         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
792 # Tell versions [3.59,3.63) of GNU make to not export all variables.
793 # Otherwise a system limit (for SysV at least) may be exceeded.
794 .NOEXPORT: